   <?php
            $cross = $block->getCrosssellProducts();
            //echo "<pre>";
            //print_r($cross);
            $items = [];
            foreach ($cross as $products) {
            	foreach ($products as $product) {
                    if ($product->isSaleable() && $product->getTypeId() == 'simple'){
                        $items[] = $product;
                    }     	

            	}

            }
            ?>

<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/* @var $block \Magento\Catalog\Block\Product\AbstractProduct */
?>

<?php $themeHelper = $this->helper('MGS\Mpanel\Helper\Data'); ?>
<?php $lazyLoad = $themeHelper->getStoreConfig('mgstheme/general/lazy_load'); ?>
<?php $baseImage = $this->getViewFileUrl('MGS_Mpanel::images/blank.png'); ?>
<?php $baseImageHover = $this->getViewFileUrl('MGS_Mpanel::images/blank.png'); ?>

<?php $relatedSidebar = $themeHelper->getStoreConfig('mpanel/product_details/related_sidebar'); ?>
<?php $showWishlist = $themeHelper->getStoreConfig('mpanel/product_details/wishlist_button'); ?>
<?php $showCompare = $themeHelper->getStoreConfig('mpanel/product_details/compare_button'); ?>
<?php $perRow = 1;//$themeHelper->getStoreConfig('mpanel/product_details/product_per_row_list'); ?>
<?php $cf_Upsell = $themeHelper->getStoreConfig('mpanel/product_details/upsell_products'); ?>
<?php $_helper = $this->helper('Magento\Catalog\Helper\Output'); ?>
<?php $quickViewHelper = $this->helper('MGS\QuickView\Helper\Data'); ?>
<?php




        /** @var \Magento\Catalog\Block\Product\ProductList\Crosssell $block */
        if ($exist = count($items)) {
            $type = 'crosssell';
            $class = 'crosssell';

            $image = 'product_base_image';
			$image_hover = 'product_base_image';   

            $title = __('You might also like');
            //$items = $block->getItems();

            $showCart = true;
            $templateType = \Magento\Catalog\Block\Product\ReviewRendererInterface::SHORT_VIEW;
            $description = false;
            $canItemsAddToCart = false;
        }

?>
<?php if ($exist):?>

	<?php  $size = $themeHelper->getImageSize($this->getRatio()); ?>
	<?php
	//$size['height'] = $size['width'] = 75;
	?>
	<?php $padding = $themeHelper->getImagePadding($this->getRatio()); ?>

	<?php if($type == 'related'): ?>
		<?php $_product = $this->getCurrentProduct() ?>
		<?php $pageLayout = $themeHelper->getProductLayout($_product) ?>

	<?php else: ?>

		<div class="block <?php /* @escapeNotVerified */ echo $class; ?>">

			<div class="content-heading">
				<h3 class="title text-uppercase"><span id="block-<?php /* @escapeNotVerified */ echo $class?>-heading" role="heading" aria-level="2"><?php /* @escapeNotVerified */ echo $title; ?></span></h3>
			</div>
			<div class="block-content content" aria-labelledby="block-<?php /* @escapeNotVerified */ echo $class?>-heading">
					<div class="products wrapper grid row products-grid slider-1-row products-<?php /* @escapeNotVerified */ echo $type; ?>">
						<div id="<?php /* @escapeNotVerified */ echo $type; ?>-owl-carousel" class="products list items product-items owl-carousel">
							<?php $iterator = 1; ?>
							<?php foreach ($items as $_item): ?>
							<?php $available = ''; ?>
							<div class="item product product-item" style="width: 40%;">
								<?php $_productNameStripped = $block->stripTags($block->escapeHtml($_item->getName()), null, true); ?>
								<div class="product-item-info <?php if ($themeHelper->getStoreConfig('mpanel/catalog/disable_hover_effect')== 1): ?> <?php echo "disable_hover_effect" ?> <?php endif ?> <?php if ($themeHelper->getStoreConfig('mpanel/catalog/disable_button_cart_hover_effect')== 1): ?> <?php echo " disable_button_cart_hover_effect" ?> <?php endif ?>" <?php /* @escapeNotVerified */ echo $available; ?>>
									<?php
										$_imagehelper = $this->helper('Magento\Catalog\Helper\Image');
										$productImage = $_imagehelper->init($_item, $image)->resize($size['width'], $size['height'])->getUrl();
										$productImageHover = $_imagehelper->init($_item, $image_hover)->resize($size['width'], $size['height'])->getUrl();
									?>
									<?php if(!$lazyLoad): ?>
										<?php $baseImage = $productImage ?>
										<?php $baseImageHover = $productImageHover ?>
									<?php endif ?>
									<div class="row">
                    <div class="col-xs-4">
                      <div class="product-top">
    										<?php // Product Image ?>
    										<a href="<?php echo $_item->getProductUrl()?>" style="padding-bottom: <?php echo $padding ?>;" class="product photo product-item-photo" tabindex="-1">
    											<img src="<?php echo $baseImage; ?>" alt="<?php echo $_productNameStripped ?>" class="img-responsive product-image-photo img-thumbnail<?php if($lazyLoad): ?> owl-lazy<?php endif ?>" data-src="<?php echo $productImage ?>"/>
    											<?php if(basename($_item->getData('thumbnail')) !=  'no_selection'): ?>
    												<?php if(basename($_item->getData('thumbnail')) != basename($_item->getData('small_image'))): ?>
    													<img src="<?php echo $baseImageHover; ?>" alt="<?php echo $_productNameStripped ?>" class="img-responsive img-hover-show<?php if($lazyLoad): ?> owl-lazy<?php endif ?>" data-src="<?php echo $productImageHover ?>" />
    												<?php endif ?>
    											<?php endif ?>
    										</a>
    										<?php //echo $themeHelper->getProductLabel($_item) ?>
    										<ul class="actions-link">
    											<li class="hidden-sm hidden-xs">
    												<?php echo $quickViewHelper->aroundQuickViewHtml($_item); ?>
    											</li>
    											<?php if ($this->helper('Magento\Wishlist\Helper\Data')->isAllow() && !$showWishlist): ?>
    												<li>
    													<button class="action towishlist"
    													   title="<?php echo $block->escapeHtml(__('Add to Wish List')); ?>"
    													   data-title="<?php echo __('Add to Wish List') ?>"
    													   aria-label="<?php echo $block->escapeHtml(__('Add to Wish List')); ?>"
    													   data-post='<?php /* @escapeNotVerified */ echo $block->getAddToWishlistParams($_item); ?>'
    													   data-action="add-to-wishlist"
    													   role="button">
    														<i class="pe-7s-like"></i>
    													</button>
    												</li>
    											<?php endif; ?>
    											<?php $compareHelper = $this->helper('Magento\Catalog\Helper\Product\Compare'); ?>
    											<?php if(!$showCompare): ?>
    												<li>
    													<button class="action tocompare hide"
    													   title="<?php echo $block->escapeHtml(__('Add to Compare')); ?>"
    													   data-title="<?php echo __('Add to Compare') ?>"
    													   aria-label="<?php echo $block->escapeHtml(__('Add to Compare')); ?>"
    													   data-post='<?php /* @escapeNotVerified */ echo $compareHelper->getPostDataParams($_item); ?>'
    													   role="button">
    														<i class="pe-7s-graph3"></i>
    													</button>
    												</li>
    											<?php endif ?>
    										</ul>
    									</div>
                    </div>
                    <div class="col-xs-8 padding-left0">
                      <div class="product details product-item-details">
    										<h5 class="product name product-item-name">
    											<a class="product-item-link"
    											   href="<?php echo $_item->getProductUrl()?>">
    												<?php echo $block->escapeHtml($_item->getName()) ?>
    											</a>
    										</h5>
    										<?php /* @escapeNotVerified */ echo $block->getProductPrice($_item) ?>
    										<?php if ($themeHelper->getStoreConfig('mgstheme/general/disable_add_to_cart') == 0 && ($themeHelper->getStoreConfig('mpanel/catalog/disable_hover_effect') ==1 || $themeHelper->getStoreConfig('mpanel/catalog/disable_button_cart_hover_effect') ==1)): ?>
    											<?php if ($showCart && $_item->isSaleable()): ?>
    												<?php if ($_item->getTypeInstance()->hasRequiredOptions($_item)): ?>
    													<button class="action tocart btn-cart" data-mage-init='{"redirectUrl": {"url": "<?php /* @escapeNotVerified */ echo $block->getAddToCartUrl($_item) ?>"}}' type="button" title="<?php /* @escapeNotVerified */ echo __('Add') ?>">
    														<span class="icon pe-7s-shopbag"></span>
    														<span class="text"><?php /* @escapeNotVerified */ echo __('Add') ?>
    													</button>
    												<?php else: ?>
    													<?php $postDataHelper = $this->helper('Magento\Framework\Data\Helper\PostHelper');
    													$postData = $postDataHelper->getPostData($block->getAddToCartUrl($_item), ['product' => $_item->getEntityId()])
    													?>
    													<button class="action tocart btn-cart hover_effect"
    															data-post='<?php /* @escapeNotVerified */ echo $postData; ?>'
    															type="button" title="<?php /* @escapeNotVerified */ echo __('Add') ?>">
    														<span class="icon pe-7s-shopbag"></span>
    														<span class="text"><?php /* @escapeNotVerified */ echo __('Add') ?></span>
    													</button>
    												<?php endif; ?>
    											<?php endif; ?>
    										<?php endif ?>

                        <?php if ($themeHelper->getStoreConfig('mgstheme/general/disable_add_to_cart') == 0 && $themeHelper->getStoreConfig('mpanel/catalog/disable_hover_effect') ==0 && $themeHelper->getStoreConfig('mpanel/catalog/disable_button_cart_hover_effect') ==0): ?>
    											<?php if ($showCart && $_item->isSaleable()): ?>
    												<?php if ($_item->getTypeInstance()->hasRequiredOptions($_item)): ?>
    													
                                                        <?php
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$listBlock = $objectManager->get('\Magento\Catalog\Block\Product\ListProduct');
$addToCartUrl =  $listBlock->getAddToCartUrl($_item);
?>

<form data-role="tocart-form" action="<?php echo $addToCartUrl; ?>" method="post"> 
    <?php echo $block->getBlockHtml('formkey')?>
    
        <button type="submit" title="Add" class="action tocart btn-cart">
            <span>Add</span>
        </button>
      
 </form>

    												<?php else: ?>
    													<?php $postDataHelper = $this->helper('Magento\Framework\Data\Helper\PostHelper');
    													$postData = $postDataHelper->getPostData($block->getAddToCartUrl($_item), ['product' => $_item->getEntityId()])
    													?>
                                                         <?php
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$listBlock = $objectManager->get('\Magento\Catalog\Block\Product\ListProduct');
$addToCartUrl =  $listBlock->getAddToCartUrl($_item);
?>

<form data-role="tocart-form" action="<?php echo $addToCartUrl; ?>" method="post"> 
    <?php echo $block->getBlockHtml('formkey')?>
    
        <button type="submit" title="Add" class="action tocart btn-cart">
            <span>Add</span>
        </button>
      
 </form>    													
    												<?php endif; ?>
    											<?php endif; ?>
    										<?php endif ?>
    									</div>
                    </div>
                  </div>

								</div>
							</div>
						<?php endforeach ?>
					</div>
					<script type="text/javascript">
						require([
							'jquery',
							'mgs/owlcarousel'
						], function ($) {
							var owlcarousell<?php echo $type; ?> = $('#<?php echo $type; ?>-owl-carousel').owlCarousel({
                                responsiveClass:true,
                                margin:10,

								items: <?php echo $perRow; ?>,
								autoplay: false,
								autoplayHoverPause: false,
						
								nav: true,
								<?php if($lazyLoad): ?>lazyLoad: true,<?php endif ?>
								dots: false,
								navText: ["<i class='pe-7s-angle-left'></i>","<i class='pe-7s-angle-right'></i>"],
								responsive:{
									0:{
										items:1
									},
									992:{
										items:<?php echo $perRow; ?>
									}
								}
							});
						});
					</script>
				</div>
			</div>
		</div>
    <?php endif; ?>
<?php endif;?>
